alloc_mutex
Prev | Chapter 1. Dbstl Global Public Functions | Next

## alloc_mutex

### Function Details

     db_mutex_t alloc_mutex()

Allocate a Berkeley DB mutex.

#### Return Value

Berkeley DB mutex handle.

### Group: Mutex API based on Berkeley DB mutex.

These functions are in-process mutex support which uses Berkeley DB mutex mechanisms.

You can call these functions to do portable synchronization for your code.

### Class

dbstl_global_functions

Prev | Up | Next
open_env | Home | lock_mutex